Package com.ibm.bamoe.ilmt.springboot.pamoe

# Class PAMOESwidTagGen

java.lang.Object
com.ibm.bamoe.ilmt.common.SwidFileGenerator
com.ibm.bamoe.ilmt.common.AbstractPAMOESwidTagGen
com.ibm.bamoe.ilmt.springboot.pamoe.PAMOESwidTagGen

@Component public class PAMOESwidTagGen extends AbstractPAMOESwidTagGen

## Constructor Summary

Constructors
Constructor
Description
`PAMOESwidTagGen()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createSwidFile(org.springframework.boot.context.event.ApplicationReadyEvent event)`

### Methods inherited from class com.ibm.bamoe.ilmt.common.AbstractPAMOESwidTagGen

`getFileName, getSwidContent`

### Methods inherited from class com.ibm.bamoe.ilmt.common.SwidFileGenerator

`createSwidFile, getBaseVersion, getFilePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PAMOESwidTagGen

public PAMOESwidTagGen()

## Method Details

### createSwidFile

@EventListener(org.springframework.boot.context.event.ApplicationReadyEvent.class) public void createSwidFile(org.springframework.boot.context.event.ApplicationReadyEvent event)